###
### Account Services Manager - Default Module
###
########################################################################
### This program is free software; you can redistribute it and/or
### modify it under the terms of the GNU General Public License
### as published by the Free Software Foundation; either version 2
### of the License, or (at your option) any later version.
###
### This program is distributed in the hope that it will be useful,
### but WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
### GNU General Public License for more details.
###
### You should have received a copy of the GNU General Public License
### along with this program; if not, write to the Free Software
### Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
########################################################################

# Set the title
$MODULE::Title = "Account Information";

# This variable is used globally by this module.
my %display_options;

# Main function
sub Main
{
    print "<h3 align=\"center\"><font face=\"verdana, arial\">Welcome to the Account Services Manager!</font></h3>\n";

    print "<p align=\"center\"><pre><font face=\"verdana, arial\" size=\"2\">\n";
    open(MOTD, "$BaseDir/modules/default/motd");
    my $motd = join('', <MOTD>);
    $motd = "<u>Message from your system administrator:</u>\n" . $motd if($motd);
    close MOTD;
    print $motd;
    print "</font></pre></p>\n";

    print "<table border=\"1\" cellpadding=\"1\" cellspacing=\"1\" align=\"center\" width=\"450\">\n";
    print " <tr><td colspan=\"2\" align=\"center\"><font face=\"verdana, arial\" size=\"2\"><b><u>Account Information</u></b></font></td></tr>\n";
    GetOptions();
    foreach $key(sort keys %UserConf)
    {
        foreach(keys %display_options)
        {
            if($key eq $_)
            {
                my $value;
                if($UserConf{$key} eq 'x') {
                    $value = 'Unlimited';
                } else {
                    $value = $UserConf{$key};
                }
                print " <tr>\n";
                print "  <td width=\"50%\"><font face=\"verdana, arial\" size=\"2\">$display_options{$_}:</font></td>\n";
                print "  <td width=\"50%\"><font face=\"verdana, arial\" size=\"2\">$value</font></td>\n";
                print " </tr>\n";
            }
        }
    }
    print "</table>\n\n";
}

sub GetOptions
{
    my @opt, @lines;
    open(OPT, "$BaseDir/modules/default/display.options");
    @lines = split(/\n/, join('', <OPT>));
    foreach(@lines)
    {
        @opt = split(/\t/, $_);
        $display_options{$opt[0]} = $opt[1];
    }
    close OPT;
}

1;
