/* 
 * Account Services Manager - Empty-Lock
 *     Copyright (C) 2001 Brandon Ramirez. All rights reserved.
 *
 * For copying information, please see the file docs/licsence.txt
 */

#include <stdlib.h>
#include <unistd.h>
#include <dirent.h>
#include <time.h>
#include <sys/stat.h>
#include <sys/types.h>
#include "config.h"

/*
 * If somebody could give me a hand in coding this in C++ I'd appreciate it.
 *
 * The problem is stat is a function and a struct and in C++ you don't use
 * the keyword struct. So my code never compiles.
 */

int main(int argc, char *argv[])
{
    DIR *lock;
    struct dirent *file;
    struct stat *properties;
    time_t *current_time;

    chdir(BASE_DIR);
    chdir("lock");
    time(current_time);

    properties = (struct stat *) malloc(sizeof(struct stat));

    lock = opendir(".");
    while((file = readdir(lock)))
    {
        if(file->d_name[0] != '.') {
            stat(file->d_name, properties);
            if(&properties->st_mtime < (current_time - 7200))
                unlink(file->d_name);
        }
    }
    closedir(lock);

    free(properties);

    return(0);
}
