/* 
 * Account Services Manager - Moduser
 *     Copyright (C) 2001 Brandon Ramirez. All rights reserved.
 *
 * For copying information, please see the file docs/licsence.txt
 */

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <signal.h>
#include <crypt.h>
#include <sys/stat.h>
#include <dirent.h>
#include <sys/types.h>

#include "config.h"
#include "salt.h"

int main(int argc, char *argv[])
{
    char *username;
    char *pass_buff;
    static char *password;
    static char *crypted_password;
    FILE *f;

    fprintf(stderr, "This program is not yet complete. Check http://acctmgr.sourceforge.net/ for updates.\n");
    exit(1);

    // Check the number of arguments.
    if(argc != 2)
    {
        fprintf(stderr, "Usage: %s <username>\n", argv[0]);
        exit(-1);
    }

    // What username are we modifying?
    username = argv[1];

    // Get the new password.
    pass_buff = getpass("New password: ");
    password = new char[MAX_PASSWORD + 1];
    strcpy(password, pass_buff);
    memset(pass_buff, 0, strlen(pass_buff));
    delete pass_buff;

    // Get ourselves into the users directory.
    chdir(BASE_DIR);
    chdir("users");

    // Now change the actual password.
    f = fopen(username, "w");
    if(f == NULL)
    {
        fprintf(stderr, "Error: Failed to open file %s!\n", username);
        delete password;
        exit(1);
    }

    // Encrypt the password.
    crypted_password = crypt(password, crypt_make_salt());

    // Deallocate memory before we exit.
    delete password;
    delete crypted_password;

    return(0);
}
